Request enabling voice on a SIM card
This API enables voice calling on a SIM card. When a connection_id is provided, the SIM is associated with the specified Mobile Voice Connection. The connection must be owned by the same user and of type mobile_voice.
The API will trigger an asynchronous operation called a SIM Card Action. The status of the SIM Card Action can be followed through the List SIM Card Action API.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.simCards.actions.enableVoice('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.sim_cards.actions.enable_voice(
id="id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.SimCards.Actions.EnableVoice(
context.TODO(),
"id",
telnyx.SimCardActionEnableVoiceParams{
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simCards.actions.ActionEnableVoiceParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionEnableVoiceParams params = ActionEnableVoiceParams.builder()
.build();
var response = client.simCards().actions().enableVoice("id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.sim_cards.actions.enable_voice("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->simCards->actions->enableVoice(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-cards:actions enable-voice \
--api-key 'My API Key' \
--id 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request POST \
--url https://api.telnyx.com/v2/sim_cards/{id}/actions/enable_voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connection_id": "123456789"
}
'{
"data": {
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card_action",
"sim_card_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"action_type": "enable",
"status": {
"value": "completed",
"reason": "The data limit was exceeded."
},
"settings": {},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the SIM.
"6a09cdc3-8948-47f0-aa62-74ac943d6c58"
Body
The identifier of the Mobile Voice Connection to associate with this SIM card. The connection must be owned by the same user and of type mobile_voice. If omitted, voice is enabled without a connection association.
"123456789"
Response
Action accepted. The response contains a SIM card action; poll GET /sim_card_actions/{id} with the action id to track progress.
This object represents a SIM card action. It allows tracking the current status of an operation that impacts the SIM card.
Show child attributes
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.simCards.actions.enableVoice('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.sim_cards.actions.enable_voice(
id="id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.SimCards.Actions.EnableVoice(
context.TODO(),
"id",
telnyx.SimCardActionEnableVoiceParams{
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simCards.actions.ActionEnableVoiceParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionEnableVoiceParams params = ActionEnableVoiceParams.builder()
.build();
var response = client.simCards().actions().enableVoice("id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.sim_cards.actions.enable_voice("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->simCards->actions->enableVoice(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-cards:actions enable-voice \
--api-key 'My API Key' \
--id 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request POST \
--url https://api.telnyx.com/v2/sim_cards/{id}/actions/enable_voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connection_id": "123456789"
}
'{
"data": {
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card_action",
"sim_card_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"action_type": "enable",
"status": {
"value": "completed",
"reason": "The data limit was exceeded."
},
"settings": {},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
}